SystemOrganization addCategory: #AdministracionTPI!
SystemOrganization addCategory: #'AdministracionTPI-UI'!

Object subclass: #Alumno
	instanceVariableNames: 'nombre apellido dni direccion telefono legajo email esAuxiliar'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!Alumno class methodsFor: 'as yet unclassified' stamp: 'NataliaRodriguez 9/16/2012 16:42'!
conNombre: unNombre conApellido: unApellido conDNI: unDNI conDireccion: unaDireccion conEmail: unEmail yLegajo: unLegajo
 ^super new nombre: unNombre; apellido: unApellido; dni: unDNI; direccion: unaDireccion; email: unEmail; legajo: unLegajo.


! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
apellido
	^ apellido! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
apellido: anObject
	apellido := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
direccion
	^ direccion! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
direccion: anObject
	direccion := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
dni
	^ dni! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
dni: anObject
	dni := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
email
	^ email! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
email: anObject
	email := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:02'!
esAuxiliar
	^ esAuxiliar! !

!Alumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:02'!
esAuxiliar: anObject
	esAuxiliar := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
legajo
	^ legajo! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
legajo: anObject
	legajo := anObject! !

!Alumno methodsFor: 'estadisticas' stamp: 'NataliaRodriguez 9/16/2012 18:13'!
materiasAprobadas: unaCarrera
 ^0 "TODO"! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
nombre
	^ nombre! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
nombre: anObject
	nombre := anObject! !

!Alumno methodsFor: 'estadisticas' stamp: 'NataliaRodriguez 9/16/2012 18:09'!
promedioActual
 ^0 "POR EL MOMENTO. TODO"! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
telefono
	^ telefono! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
telefono: anObject
	telefono := anObject! !

Object subclass: #Carrera
	instanceVariableNames: 'nombre materias'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!Carrera class methodsFor: 'as yet unclassified' stamp: 'NataliaRodriguez 9/16/2012 18:21'!
llamada: unNombre

^super new nombre: unNombre; materias: OrderedCollection new.! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
materias
	^ materias! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
materias: anObject
	materias := anObject! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
nombre
	^ nombre! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
nombre: anObject
	nombre := anObject! !

WAComponent subclass: #ABMUsuario
	instanceVariableNames: 'modelo carreraActual'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI'!

!ABMUsuario class methodsFor: 'as yet unclassified' stamp: 'PabloAlegre 9/20/2012 20:10'!
canBeRoot 
^true.! !

!ABMUsuario class methodsFor: 'as yet unclassified' stamp: 'PabloAlegre 9/20/2012 20:15'!
new

^super new modelo: (Alumno conNombre: 'Pablo' conApellido: 'Alegre' conDNI: 12312312 conDireccion: 'Florencio Varela'  conEmail:  'pabloalegre@hotmail.com' yLegajo: 20123).! !

!ABMUsuario methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:15'!
carreraActual
	^ carreraActual! !

!ABMUsuario methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:15'!
carreraActual: anObject
	carreraActual := anObject! !

!ABMUsuario methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 17:19'!
modelo
	^ modelo! !

!ABMUsuario methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 17:19'!
modelo: anObject
	modelo := anObject! !

!ABMUsuario methodsFor: 'as yet unclassified' stamp: 'PabloAlegre 9/20/2012 21:09'!
renderContentOn: html

html form: [
	html text: 'Alumno: ', modelo nombre, ' ', modelo apellido. html break.
	html text: 'Legajo ', (modelo legajo asString). html break.
	html break.
	html text: 'Carrera: '.
	(html select)
			list: #('TPI' 'LDS');
			callback: [:seleccionada | self carreraActual: seleccionada]. html break.
	html break.
	html text: 'Estado: Alumno Regular' ", modelo estadoEn: carreraActual". html break.
	html text: 'Materias Aprobadas: ', ((modelo materiasAprobadas: (self carreraActual)) asString), ' de 23' ",self carreraActual materias size". html break.
	html text: 'Materias Recursadas: 0'. html break.
	html text: 'Materias Actuales: 2'. html break.
	html text: 'Auxiliar: ', modelo esAuxiliar asString. html break.
	html text: 'Promedio: ', modelo promedioActual asString. html break.

].! !
